Modules | Alphabetical List | Class List | Directories | File List | GIL Home Page

# PixelValueConcept Struct Template Reference
[Concepts]

`#include <gil_concept.hpp>`

List of all members.

## Detailed Description

### template<typename P>
struct boost::gil::PixelValueConcept< P >

Pixel concept that is a Regular type.

    concept PixelValueConcept<PixelConcept P> : Regular<P> {
        where SameType<value_type,P>;
    };

## Public Member Functions

void | constraints ()

The documentation for this struct was generated from the following file:

- gil_concept.hpp